"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var animated_circle_common_1 = require("./animated-circle.common");
var color_1 = require("tns-core-modules/color");
var AnimatedCircle = (function (_super) {
    __extends(AnimatedCircle, _super);
    function AnimatedCircle() {
        var _this = _super.call(this) || this;
        _this._animationDuration = 1000;
        _this._maxValue = 100;
        _this._rimColor = '#FF5722';
        _this._rimWidth = 5;
        _this.clockwise = true;
        _this.barColor = '#3D8FF4';
        return _this;
    }
    AnimatedCircle.prototype.createNativeView = function () {
        return new at.grabner.circleprogress.CircleProgressView(this._context, null);
    };
    AnimatedCircle.prototype.initNativeView = function () {
        if (this.animated) {
            if (this.animateFrom) {
                this.android.setValueAnimated(this.animateFrom, this.progress, this.animationDuration);
            }
            else {
                if (!this._animationDuration) {
                    this.android.setValueAnimated(this.progress);
                }
                else {
                    this.android.setValueAnimated(this.progress, this.animationDuration);
                }
            }
        }
        else {
            this.android.setValue(this.progress);
        }
        this.android.setMaxValue(this.maxValue);
        if (this.rimColor) {
            this.android.setRimColor(new color_1.Color(this.rimColor).argb);
        }
        if (this.spinBarColor) {
            this.android.setSpinBarColor(new color_1.Color(this.spinBarColor).argb);
        }
        if (this.startAngle) {
            this.android.setStartAngle(this.startAngle);
        }
        if (this.rimWidth) {
            this.android.setRimWidth(this.rimWidth);
        }
        if (this.barColor) {
            this.android.setBarColor([new color_1.Color(this.barColor).argb]);
        }
        if (this.fillColor) {
            this.android.setFillCircleColor(new color_1.Color(this.fillColor).argb);
        }
        this.android.setDirection(this.clockwise ? at.grabner.circleprogress.Direction.CW : at.grabner.circleprogress.Direction.CCW);
    };
    Object.defineProperty(AnimatedCircle.prototype, "android", {
        get: function () {
            return this.nativeView;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "progress", {
        get: function () {
            return this._progress;
        },
        set: function (value) {
            this._progress = Number(value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "animateFrom", {
        get: function () {
            return this._animateFrom;
        },
        set: function (value) {
            this._animateFrom = Number(value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "animationDuration", {
        get: function () {
            return this._animationDuration;
        },
        set: function (value) {
            this._animationDuration = Number(value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "animated", {
        get: function () {
            return this._animated;
        },
        set: function (value) {
            this._animated = Boolean(value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "maxValue", {
        get: function () {
            return this._maxValue;
        },
        set: function (value) {
            this._maxValue = Number(value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "rimColor", {
        get: function () {
            return this._rimColor;
        },
        set: function (value) {
            this._rimColor = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "rimWidth", {
        get: function () {
            return this._rimWidth;
        },
        set: function (value) {
            this._rimWidth = Number(value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "spinBarColor", {
        get: function () {
            return this._spinBarColor;
        },
        set: function (value) {
            this._spinBarColor = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "startAngle", {
        get: function () {
            return this._startAngle;
        },
        set: function (value) {
            this._startAngle = Number(value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "barWidth", {
        get: function () {
            return this._barWidth;
        },
        set: function (value) {
            this._barWidth = Number(value);
        },
        enumerable: true,
        configurable: true
    });
    return AnimatedCircle;
}(animated_circle_common_1.Common));
exports.AnimatedCircle = AnimatedCircle;
//# sourceMappingURL=animated-circle.android.js.map