"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var animated_circle_common_1 = require("./animated-circle.common");
var Color_1 = require("tns-core-modules/color/Color");
var AnimatedCircle = (function (_super) {
    __extends(AnimatedCircle, _super);
    function AnimatedCircle() {
        var _this = _super.call(this) || this;
        _this._ios = DRCircularProgressView.new();
        _this._ios.alternativeColor = new Color_1.Color('#FF5722').ios;
        _this._ios.progressColor = new Color_1.Color('#3D8FF4').ios;
        _this._ios.thickness = 5;
        return _this;
    }
    AnimatedCircle.prototype.createNativeView = function () {
        return this._ios;
    };
    AnimatedCircle.prototype.initNativeView = function () {
    };
    Object.defineProperty(AnimatedCircle.prototype, "ios", {
        get: function () {
            return this._ios;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "progress", {
        set: function (value) {
            this._ios.progressValue = Number(value / 100);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "barColor", {
        set: function (value) {
            if (value instanceof UIColor) {
                this._ios.progressColor = value;
            }
            else if (typeof value === 'string') {
                this._ios.progressColor = new Color_1.Color(value).ios;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "rimColor", {
        set: function (value) {
            if (value instanceof UIColor) {
                this._ios.alternativeColor = value;
            }
            else if (typeof value === 'string') {
                this._ios.alternativeColor = new Color_1.Color(value).ios;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "clockwise", {
        set: function (value) {
            this._ios.clockwise = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "rimWidth", {
        set: function (value) {
            this._ios.thickness = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "startAngle", {
        set: function (value) {
            this._ios.startAngle = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "endAngle", {
        set: function (value) {
            this._ios.endAngle = value;
        },
        enumerable: true,
        configurable: true
    });
    return AnimatedCircle;
}(animated_circle_common_1.Common));
exports.AnimatedCircle = AnimatedCircle;
//# sourceMappingURL=animated-circle.ios.js.map